:root {
  --color-line: #3aae36;
  --color-hagaki: #ec6d56;
}

html {
  scroll-behavior: smooth;
}

/* --- font --- */
.text-xs {
  font-size: 12px;
}

.text-sm {
  font-size: 14px;
}

.text-base {
  font-size: 16px;
}

.text-xl {
  font-size: 18px;
}

.font-bold {
  font-weight: bold;
}

/* --- width --- */
.w-full {
  max-width: 100%;
}

.w-90 {
  max-width: 90%;
}

.w-50 {
  max-width: 50%;
}

.w-30 {
  max-width: 30%;
}

.w-20 {
  width: 20%;
}


/* --- flex --- */
.flex {
  display: flex;
}

.justify-center {
  justify-content: center;
}

.items-center {
  align-items: center;
}

.grid-col-3>div {
  width: 33.33%;
}

.grid-col-2>div,
.grid-row-2>div {
  width: 50%;
}

/* --- gap --- */
.gap-10 {
  gap: 10px;
}

.gap-20 {
  gap: 20px;
}

.gap-30 {
  gap: 30px;
}

.gap-40 {
  gap: 40px;
}

/* --- margin --- */

.m-10 {
  margin: 10px;
}

.m-20 {
  margin: 20px;
}

.m-30 {
  margin: 30px;
}

.mb-0 {
  margin-bottom: 0px;
}

.mb-10 {
  margin-bottom: 10px;
}

.mb-20 {
  margin-bottom: 20px;
}

.mb-30 {
  margin-bottom: 30px;
}

.mb-40 {
  margin-bottom: 40px;
}

.mb-50 {
  margin-bottom: 50px;
}

.mx-10 {
  margin-left: 10px;
  margin-right: 10px;
}

.mx-20 {
  margin-left: 20px;
  margin-right: 20px;
}

.mx-30 {
  margin-left: 30px;
  margin-right: 30px;
}

.mx-40 {
  margin-left: 40px;
  margin-right: 40px;
}

/* --- padding --- */
.p-10 {
  padding: 10px;
}

.p-20 {
  padding: 20px;
}

.p-30 {
  padding: 30px
}

.px-10 {
  padding-inline: 10px;
}

.px-20 {
  padding-inline: 20px;
}

.px-30 {
  padding-inline: 30px;
}

.py-10 {
  padding-block: 10px;
}

.py-20 {
  padding-block: 20px;
}

.py-30 {
  padding-block: 30px;
}

/* --------------------------------
 Original
-------------------------------- */
#ti-hagaki {
  border-bottom: 1px solid var(--color-hagaki);
  border-top: 1px solid var(--color-hagaki);
  color: var(--color-hagaki);
}

#ti-line {
  border-bottom: 1px solid var(--color-line);
  border-top: 1px solid var(--color-line);
  color: var(--color-line);
}

.list-img.flex span {
  display: inline-block;
}

#page_line {
  background-color: #fff;
  padding: 30px 80px 20px 80px !important;
  width: 960px;
}

#page_line a {
  background-color: #31ae36;
  border-radius: 5px;
  color: #fff;
  display: inline-block;
  margin: 0 auto;
  padding: 10px 30px;
}

a.link_hagaki,
a.link_line {
  border-radius: 5px;
  color: #fff;
  display: inline-block;
  margin: 0 auto;
  padding: 15px 30px;
  text-align: center;
  width: 100%;
  font-weight: bold;
  background-image: url(./img/link_cur.svg);
  background-position: left 20px center;
  background-repeat: no-repeat;
  background-size: 20px 20px;
}

a.link_hagaki:hover,
a.link_line:hover {
  opacity: 0.8;
  color: #fff;
}

a.link_hagaki {
  background-color: var(--color-hagaki);
}

a.link_line {
  background-color: var(--color-line);
}

#oubo-hagaki,
#oubo-line {
  scroll-margin-top: 30px;
}

a.link_hagaki_pdf {
  border-radius: 5px;
  color: #fff;
  margin: 0 auto;
  padding: 15px 30px 15px 60px;
  display: inline-block;
  text-align: center;
  font-weight: bold;
  background-image: url(./img/ico_download.svg);
  background-position: left 20px center;
  background-repeat: no-repeat;
  background-size: 20px 20px;
}

a.link_hagaki_pdf:hover {
  opacity: 0.8;
  color: #fff;
}

a.link_hagaki_pdf {
  background-color: var(--color-hagaki);
}

.text-hagaki {
  color: var(--color-hagaki);
}

.text-line {
  color: var(--color-line);
}


/* --------------------------------
 PC用設定
-------------------------------- */
@media screen and (min-width: 769px) {}

/* --------------------------------
 ipad用設定
-------------------------------- */
@media screen and (min-width: 481px) and (max-width: 769px) {}

/* --------------------------------
 スマートフォン用設定
-------------------------------- */
@media screen and (max-width: 480px) {

  .grid-col-2,
  .grid-col-3 {
    flex-direction: column;
  }

  .grid-col-2 div,
  .grid-col-3 div {
    width: 100%;
  }
}